Bug 9374 - Allow smb2.acls torture test to pass against smbd with a POSIX ACLs backend.
Allow smb2.acls torture test to pass against smbd with a POSIX ACLs backend.
Product: Samba 4.0
Classification: Unclassified
Component: File services
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
Depends on:
  Show dependency treegraph
Reported: 2012-11-09 18:42 UTC by Jeremy Allison
Modified: 2012-12-03 19:21 UTC (History)
3 users (show)

See Also:

git-am fix for 3.6.x. (8.80 KB, patch)
2012-11-13 00:33 UTC, Jeremy Allison
jra: review? (rsharpe)
jra: review? (vl)
jra: review? (metze)
obnox: review+
jra: review? (ddiss)
git-am fix for 4.0.0rc.next (5.84 KB, patch)
2012-11-20 01:03 UTC, Jeremy Allison
obnox: review+

Note You need to log in before you can comment on or make changes to this bug.
Description Jeremy Allison 2012-11-09 18:42:18 UTC
There are currently a small set of fixes needed for smbd to pass the smb2.acl test when back-ended onto a POSIX ACLs backend.

Patches to follow for 3.6.x and 4.0.x.

Comment 1 Jeremy Allison 2012-11-13 00:33:11 UTC
Created attachment 8186 [details]
git-am fix for 3.6.x.

With this patchset, 3.6.x passes master smbtorture raw.acls and smb2.acls (with one change to smb2.acls to make the default ACL match the Samba default ACL - i.e. the same change that is made in the smb1 raw.acls test - this didn't get ported to the smb2 ACL test).

Comment 2 Richard Sharpe 2012-11-15 21:21:59 UTC
I am starting to test this now.

My only comment so far is that for the OpenDir_fsp path to work requires that dirfd be found correctly on those platforms that it exists on.

Otherwise OpenDir_fsp falls back to SMB_VFS_OPENDIR which will, I believe, apply all the permission checks.
Comment 3 Jeremy Allison 2012-11-15 21:43:56 UTC
Yes, this is true, but I think that's an acceptable limitation (this really is testing some edge cases). Plus your changes to autoconf (and hopefully waf) mean that we now have dirfd on both *BSD and Solaris platforms (which along with Linux are the important ones).

Comment 4 Jeremy Allison 2012-11-20 01:03:37 UTC
Created attachment 8213 [details]
git-am fix for 4.0.0rc.next

Cherry-picked from master commits:


Comment 5 Jeremy Allison 2012-11-20 18:57:34 UTC
Assigning to Karolin for inclusion in 4.0.0rc.next.

Comment 6 Jeremy Allison 2012-11-21 07:09:36 UTC
Ensuring this is logged against 4.0.0rc so it gets in the next release.

Comment 7 Karolin Seeger 2012-11-21 07:42:43 UTC
Pushed to autobuild-v4-0-test.
Waiting for review of the version for 3.6.
Comment 8 Karolin Seeger 2012-11-21 10:23:42 UTC
Pushed to v4-0-test.
Comment 9 Karolin Seeger 2012-11-27 08:13:37 UTC
Still waiting for review (3.6).
Comment 10 Jeremy Allison 2012-11-27 18:10:56 UTC
Comment on attachment 8186 [details]
git-am fix for 3.6.x.

Help... someone ?


Comment 11 Karolin Seeger 2012-11-28 07:57:08 UTC
It would be good to include this into 3.6.10, which will be frozen on Monday December 3.
Comment 12 Karolin Seeger 2012-11-30 08:00:34 UTC
Obnox, as you did the review for 4.0, could you review the 3.6 patches also, please? Thanks!
Comment 13 Michael Adam 2012-12-03 16:44:05 UTC
Comment on attachment 8186 [details]
git-am fix for 3.6.x.

Comment 14 Michael Adam 2012-12-03 16:44:27 UTC
Karolin, please pick for 3.6
Comment 15 Karolin Seeger 2012-12-03 19:21:39 UTC
Pushed to v3-6-test.
Closing out bug report.